aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--core/iproute2/APKBUILD20
-rw-r--r--core/iproute2/iproute2.post-deinstall4
-rw-r--r--core/iproute2/iproute2.post-install6
3 files changed, 21 insertions, 9 deletions
diff --git a/core/iproute2/APKBUILD b/core/iproute2/APKBUILD
index 12cc37327a..522e0c4263 100644
--- a/core/iproute2/APKBUILD
+++ b/core/iproute2/APKBUILD
@@ -1,27 +1,29 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=iproute2
-pkgver=2.6.28
+pkgver=2.6.29.1
+_realver=2.6.29-1
pkgrel=0
pkgdesc="IP Routing Utilities"
url="http://www.linux-foundation.org/en/Net:Iproute2"
license="GPL2"
-depends="uclibc"
+depends=
+install="$pkgname.post-install $pkgname.post-deinstall"
makedepends="bison flex"
subpackages="$pkgname-doc"
-source="http://devresources.linux-foundation.org/dev/$pkgname/download/$pkgname-$pkgver.tar.bz2"
+source="http://devresources.linux-foundation.org/dev/iproute2/download/$pkgname-$_realver.tar.bz2
+ $install"
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$srcdir"/$pkgname-$_realver
sed -i '/^TARGETS=/s: arpd : :' misc/Makefile
sed -i 's:/usr/local:/usr:' tc/m_ipt.c include/iptables.h || return 1
sed -i 's:=/share:=/usr/share:' Makefile || return 1
- sed -i 's:=/sbin:=/usr/sbin:' Makefile || return 1
- sed -i 's:/lib/tc:/usr/lib/tc:' netem/Makefile || return 1
-
./configure || return 1
- make CCOPTS="-D_GNU_SOURCE $CFLAGS" LIBDIR=/usr/lib || return 1
+ make CCOPTS="-D_GNU_SOURCE $CFLAGS" LIBDIR=/lib || return 1
make DESTDIR="$pkgdir" install
}
-md5sums="595f9b17320f69e8d30d2fa80f1bca14 iproute2-2.6.28.tar.bz2"
+md5sums="c1bc258a6c345905e79935ac7a3cc582 iproute2-2.6.29-1.tar.bz2
+da1571ff1c0241c5c7f333a48d908927 iproute2.post-install
+ed8271a16ef48a769c50c3b529411018 iproute2.post-deinstall"
diff --git a/core/iproute2/iproute2.post-deinstall b/core/iproute2/iproute2.post-deinstall
new file mode 100644
index 0000000000..dd117e5d80
--- /dev/null
+++ b/core/iproute2/iproute2.post-deinstall
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+busybox --install -s
+
diff --git a/core/iproute2/iproute2.post-install b/core/iproute2/iproute2.post-install
new file mode 100644
index 0000000000..36d567ea21
--- /dev/null
+++ b/core/iproute2/iproute2.post-install
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+if [ "$(readlink /bin/ip)" = "/bin/busybox" ]; then
+ rm -f /bin/ip
+fi
+exit 0